SOURCES: bluez.init, bluez.sysconfig - 4.14 - actually works
patrys
patrys at pld-linux.org
Sat Oct 18 17:43:26 CEST 2008
Author: patrys Date: Sat Oct 18 15:43:26 2008 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- 4.14
- actually works
---- Files affected:
SOURCES:
bluez.init (1.1 -> 1.2) , bluez.sysconfig (1.1 -> 1.2)
---- Diffs:
================================================================
Index: SOURCES/bluez.init
diff -u SOURCES/bluez.init:1.1 SOURCES/bluez.init:1.2
--- SOURCES/bluez.init:1.1 Sun Aug 31 18:06:38 2008
+++ SOURCES/bluez.init Sat Oct 18 17:43:20 2008
@@ -22,7 +22,12 @@
start() {
# Check if the service is already running?
if [ ! -f /var/lock/subsys/bluetooth ]; then
- msg_starting bluetooth; started
+ if is_yes "${DAEMON_ENABLE}" && [ -x /usr/sbin/bluetoothd ]; then
+ msg_starting bluetooth
+ daemon /usr/sbin/bluetoothd
+ RETVAL=$?
+ fi
+
if is_yes "${HID2HCI_ENABLE}" && [ -x /usr/sbin/hid2hci ]; then
msg_starting hid2hci
daemon /usr/sbin/hid2hci -0 -q #be quiet
@@ -101,6 +106,11 @@
if is_yes "${HCID_ENABLE}" && [ -x /usr/sbin/hcid ]; then
msg_stopping hcid
killproc /usr/sbin/hcid
+ fi
+
+ if is_yes "${DAEMON_ENABLE}" && [ -x /usr/sbin/bluetoothd ]; then
+ msg_stopping bluetooth
+ killproc /usr/sbin/bluetoothd
fi
if [ "$UART_CONF" != "no" ]; then
================================================================
Index: SOURCES/bluez.sysconfig
diff -u SOURCES/bluez.sysconfig:1.1 SOURCES/bluez.sysconfig:1.2
--- SOURCES/bluez.sysconfig:1.1 Sun Aug 31 18:06:37 2008
+++ SOURCES/bluez.sysconfig Sat Oct 18 17:43:20 2008
@@ -7,6 +7,7 @@
# (alternatively you can pass uart configuration file path here)
UART_CONF="no"
+DAEMON_ENABLE=yes
#HID2HCI_ENABLE=yes
HCID_ENABLE=yes
SDPD_ENABLE=yes
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/bluez.init?r1=1.1&r2=1.2&f=u
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/bluez.sysconfig?r1=1.1&r2=1.2&f=u
More information about the pld-cvs-commit
mailing list